@import url('https://fonts.googleapis.com/css2?family=Delius&display=swap');



body, html {
  margin: 0;
  padding: 0;
  overflow: visible;
}

#container{
  display: flex;
  background: hsl(0, 0%, 100%);  
  flex-direction: column;     
  align-items: center;        
  gap: 50px;   
}

.extra-gap {
  margin-right: 120px;
}

.general-instruction{
font-size: 20px; 
line-height: 1.6em;
text-align: center;
width:70%;
}

.image-row {
  display: flex;
  justify-content: space-between;
  gap: 50px;
  width:70%;
  align-items:center;
}

#image-right {
  width: 35%;                 
  height: auto;
  border: 5px solid transparent;  
  transition: border 0.2s;
}

#image-left {
  width: 35%;                 
  height: auto;
  border: 5px solid transparent;  
  transition: border 0.2s;
}

.image{
  width: 70%;
  height: auto;            
}
.image-seg{
  width:40%;
  height: auto;            
}
.button-row {
  display: flex;
  flex-wrap: wrap;
  gap: 100px;                
  justify-content: center;
  /* width: 100%; */
  box-sizing:border-box;
}


#phrase{
font-size: 25px; 
text-align: center;

}

.phrase-segment{  
  font-size: 25px;  
  text-align: center;
}

.sentence{
font-size: 20px;  
text-align: center;
}


#instruction{
font-size: 18px;  
text-align: center;
width:100%;
}

.construction-field {
    height: 30px;
    font-weight: 500;
    display: inline-block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    line-height: 1.1em;
}

.letter-sequence {
    display: flex;
    cursor: pointer;
    user-select: none;
    margin-top: 20px;
}
.gap {
    padding: 0 10px;
    position: relative;
}
.line {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 2px;
    background-color: black;
    left: 50%;
    transform: translateX(-50%);
}


.bag-of-words {
    display: inline-block;
    position: static;
    margin-top: 10px;
    padding: 8px;
    border: 1px solid darkgrey;
    border-radius: 5px;
    margin-bottom: 10px;
}

.bag-of-words_th {
    display: inline-block;
    position: static;
    margin-top: 5px;
    padding: 5px;
    border: 1px solid darkgrey;
    border-radius: 5px;
    margin-bottom: 5px;
}

.words {
    font-size: 20px;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    /*margin: 0.25em;*/
    outline: 0;
    background: transparent;
    border-radius: 0;
    display: inline-block;
}


.input-word {
    width: 58px;
    display: inline-block;
    text-align: center;
}

.words_it {
    font-size: 10px;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    /*margin: 0.25em;*/
    outline: 0;
    background: transparent;
    border-radius: 0;
}

.words_th {
    font-size: 5px;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    /*margin: 0.25em;*/
    outline: 0;
    background: transparent;
    border-radius: 0;
}

.button-option {
    display: inline-block;
    padding: 6px 12px;
    margin: 0;
    font-size: 20px;
    font-weight: 400;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #333333;
    background-color: #fff;
    border-color: #ccc;
}

.button-option_th {
    display: inline-block;
    padding: 6px 12px;
    margin: 0;
    font-size: 15px;
    font-weight: 400;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #333333;
    background-color: #fff;
    border-color: #ccc;
}
.blank-container {
    display: flex;
    gap: 10px; 
}
.construction-field {
    height: 30px;
    font-weight:510;
    display: inline-block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    line-height: 1.1em;
}

.button-option:hover {
    background-color: #ddd;
    border-color: #aaa;
}

.button-option:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}

#feedback-holder {
    visibility: hidden;
    margin-top: 0;
    margin-bottom: 0;
    font-size: 20px;
    min-height: 30px; 
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 200px;
  /*border: 3px solid green; */
}

.jspsych-display-element {
  font-family: "Open Sans", "Arial", sans-serif;
  font-size: 18px;
  line-height: 1.6em;
}
.jspsych-display-element input[type="text"] {
  font-family: "Open Sans", "Arial", sans-serif;
  font-size: 14px;
}


/* .survey-text-block {
  font-size: 20px;
  line-height: 1.7;
  max-width: 800px;
  margin-top: -200px;
  text-align: center;
} */




.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 20px;
  font-weight: 400;
  font-family: "Open Sans", "Arial", sans-serif;
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 8px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
  height: 100%;
  /*width: 100%;*/
  width: fit-content;
  object-fit: contain;
}

.trial-btn {
  padding: 6px 12px;
  font-size: 20px;
  min-width: 100px;
  font-family: "Open Sans", "Arial", sans-serif;
  flex: 1 1 auto;           
  text-align: center;
  box-sizing:border-box;
  white-space: normal;
  vertical-align: middle;
  cursor: pointer;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 8px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
  height: 100%;
  width: auto;
  object-fit: contain;
}

.trial-btn:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}
@media (hover: hover) {
  .jspsych-btn:hover {
    background-color: #ddd;
    border-color: #aaa;
  }
}
 @media (hover: hover) {
  .trial-btn:hover {
    background-color: #ddd;
    border-color: #aaa;

  }
}


/* .jspsych-btn-2 {
    background-color: #f8faf8;  
    color: rgb(10, 4, 4);               
    font-size: 18px;
    padding: 8px 12px;
    border: 1px solid #434242;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    flex: 1 1 auto;
    min-width: 100px; 
    margin: 4px; 
}

#continue-btn {
    background-color: #f8faf8;
    bottom:0;    
    left:50%; 
    color: rgb(10, 4, 4);               
    font-size: 15px;
    padding: 8px 12px;
    border: 1px solid #434242;
    border-radius: 8px;
    cursor: pointer;
    position: absolute;
    transform:translateX(-50%);
    transition: background-color 0.3s ease;
    text-align:center;
}

.jspsych-btn:hover {
  transform: scale(1.1);

}

#jspsych-html-button-response-btngroup {
  display: flex;
  justify-content: center;
  bottom: 25%;
  left:50%;
  transform:translate(-50%);
  gap:40px;
  position:absolute; 
}

.jspsych-html-button-response-button {
  flex: 1;
  display: flex;
  justify-content: center;
} */
/* 
.jspsych-btn {
  max-width: 45%;
  margin: 0 10px;
  padding: 12px 24px;

} 

@media (max-width: 350px) {
  .trial-btn {
    flex: 1 1 100%;       /* stack buttons vertically on very small screens */
  /* }
} */


